Subject: --trust-exit-code not working

From: Adria Farres <[email-masked]>
Date: Fri, 14 Nov 2014 17:12:35 +0100

Hello!,

I sent an email last week, but I'm not sure if I sent it incorrectly, or the
formatting was very bad, or it went unnoticed. A few days ago a great soul was
kind enough to create the --trust-exit-code option that made git respect the
exit code of the difftool. Unfortunately, I haven't been able to make it work.
Exiting vimdiff with :cq doesn't seem to make git quit, as it keeps pushing new
files to be diffed. I tried meld and the exact same thing. I'm confident that
exiting with :cq gives an error, as I have checked it, and I'm using git
2.2.0.rc1.

Am I missing something important? Has anyone managed to make it work with
vimdiff and meld? Sorry for bringing that up so late and for being a
disturbance.

Thank you,

Adria